org.eclipse.net4j.util.factory

## Class ProductCreationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.factory.ProductCreationException

- All Implemented Interfaces:
    Serializable

      public class ProductCreationException
      extends RuntimeException

  An unchecked exception that may be thrown from `factories` to indicate the inability to create a product.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.
  Apiviz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductCreationException()`
    `ProductCreationException(String message)`
    `ProductCreationException(String message, Throwable cause)`
    `ProductCreationException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProductCreationException

          public ProductCreationException()

    - #### ProductCreationException

          public ProductCreationException(String message)

    - #### ProductCreationException

          public ProductCreationException(Throwable cause)

    - #### ProductCreationException

          public ProductCreationException(String message,
                                          Throwable cause)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html